var angular = require('angular');
require('./modules');
require('./controllers/TaskCreateCtrl');
require('./controllers/TaskGroupCtrl');
require('./controllers/TaskDetailCtrl');
require('./controllers/TaskListCtrl');
require('./controllers/TaskDiscussCtrl');
require('./services/TaskService');
require('./services/TaskDiscussService');
require('./services/TaskRepository');
require('./services/TaskCacheArray');
require('./services/taskMessages');
require('./services/taskList');
require('./services/taskDrafts');
require('./services/TaskRemoteService');
require('./services/CurrentTaskService');
require('./services/DelaySaveCacheArray');
require('./services/delaySaveTasks');
require('./services/delaySaveDiscussions');
require('./services/TaskLocalforageService');
require('./directives/taskpushedmessage');
'use strict';

module.exports = angular.module('task');